- Qt 6.10
- Qt GUI
- C++ Classes
- QWindowStateChangeEvent
- Qt 6.10.2 Reference Documentation

# QWindowStateChangeEvent Class

The QWindowStateChangeEvent class provides the window state before a window state change. More...

Header: | `#include <QWindowStateChangeEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QEvent

- List of all members, including inherited members
- QWindowStateChangeEvent is part of Event Classes.

## Public Functions

Qt::WindowStates | oldState() const

## Detailed Description

## Member Function Documentation

### Qt::WindowStates QWindowStateChangeEvent::oldState() const

Returns the state of the window before the change.